/*
Theme Name: Agora Noticias MX
Theme URI: https://agoranoticias.mx

Version: 1.0

Template: genesis
*/

/* Defaults */
*{ box-sizing: border-box; }

/* Reset */
body, h1, h2, h3, h4, h5, h6, p, ul, ol { padding: 0; margin: 0; }
a { text-decoration: none; }

/* Color */
body {
	color: rgba(0, 0, 0, 0.87);
}

/* Typography */
body,
button,
input,
textarea {
	-webkit-font-smoothing:antialiased;
	font-size: 100%;
}

/* Responsive */
img {
	max-width: 100%;
	height: auto;
}

/* Inputs */
input:focus,
textarea:focus { outline: 0; }

input, textarea {
	border: 1px solid rgba(0, 0, 0, 0.1);
	padding: 0.75rem;
	width: 100%;
	color: rgba(0, 0, 0, 0.6);
	border-radius: 0.25rem;
}

input[type="submit"] {
	border: 0;
	cursor: pointer;
	background-color: var(--green);
	color: white;
	font-weight: 600;
	padding-top: 1rem;
	padding-bottom: 1rem;
}

/* Structure */
.bar-top > .wrap,
.site-header > .wrap,
.site-inner > .wrap,
.content-sidebar-wrap,
.site-footer .wrap {
	padding: 0 5%;
}

/* Colors */
:root {
	--black: #1a1a1a;
	--gold: #c6a87d;
	--green: #06652e;
}

.gold { color: var(--gold); }
.green { color: var(--green); }
.bg-green { background-color: var(--green); }
.bg-black { background-color: var(--black); }

/* Headings */
h1 {
	margin-top: 0.5rem;
	font-family: "Merriweather", serif;
	font-size: 1.728rem;
	font-weight: 800;
	margin-bottom: 0.5rem;
}

.page h1 {
	margin-bottom: 1.25rem;
}

.home h2,
.category h2 {
	border-left: 6px solid var(--green);
	padding-left: 1rem;
	padding-top: 0.25rem;
	padding-bottom: 0.25rem;
	text-transform: uppercase;
	font-family: "Roboto", sans-serif;
	font-weight: 800;
	margin-bottom: 2rem;
}

.entry-content h2 {
	margin-top: 2rem;
	font-family: "Merriweather", serif;
	font-size: 1.44rem;
	margin-bottom: 1rem;
}

h4 {
	margin-top: 1rem;
	font-family: "Merriweather", serif;
	font-size: 1.2rem;
	line-height: 1.75rem;
}

/* Paragraphs */
p, ul, ol, input, textarea {
	font-family: "Roboto", sans-serif;
}

/* Bar Top */
.bar-top {
	padding-top: 0.5rem;
	padding-bottom: 0.5rem;
	background-color: var(--black);
	font-family: "Roboto", sans-serif;
	font-weight: 600;
	font-size: 0.833rem;
}

.bar-top a {
	color: var(--gold);
}

/* Site Header */
.site-header {
	padding-top: 1rem;
	padding-bottom: 1rem;
	background-color: var(--green);
}

.site-header > .wrap {
	display: flex;
	justify-content: space-between;
}

/* Remove Site Title */
.site-title { display: none; }

/* Hamburguer */
.hamburguer {
	margin-top: 0.5rem;
}

.hamburguer-icon {
	cursor: pointer;
	color: white;
	font-size: 3rem;
}

/* Menu Responsive */
.nav-primary { display: none; }
.nav-primary ul { list-style-type: none; }

.site-header .wrap {
	position: relative;
}

nav.active {
	display: block; /* Show Up */
	position: absolute;
	top: 0;
	left: 0;
	margin-top: 5.7rem;
	background-color: var(--green);
	z-index: 3;
	padding-top: 0.75rem;
	padding-bottom: 0.75rem;
	width: 100%;
}

.nav-primary ul a {
	display: block;
	padding: 1rem 2rem;
	text-transform: uppercase;
	letter-spacing: 1px;
	font-size: 0.9375rem;
	color: rgba(255, 255, 255, 0.87);
}

/* Site Inner */
.site-inner {
	padding-top: 2rem;
	padding-bottom: 4rem;
}

.home .site-inner,
.category .site-inner,
.blog .site-inner {
	background-color: rgba(0, 0, 0, 0.06);
}

/* Featured Post */
.featured-post {
	position: relative;
	border-radius: 0.5rem;
	overflow: hidden;
	min-height: 300px;
	margin-bottom: 3rem;
}

/*.featured-post img {
	object-fit: cover;
	width: 100%;
	height: 100%;
}*/

/* Link Overlay */
.featured-post a {
	position: absolute;
	inset: 0;
	z-index: 1;
}

.featured-post .content {
	background-image: linear-gradient(to top, var(--green), transparent);
	margin-top: 1rem;
	padding: 1.75rem;
	position: absolute;
	bottom: 0;
	width: 100%;
	z-index: 2;
	pointer-events: none;
}

.featured-post h3 {
	font-family: "Merriweather", serif;
	font-size: 1.728rem;
	line-height: 2.25rem;
}

.featured-post .tag {
	position: relative;
	background-color: var(--gold);
	padding: 0.5rem 1rem;
	display: inline-block;
	margin-bottom: 1rem;
}

.featured-post .tag a {
	position: relative;
	text-transform: uppercase;
	letter-spacing: 1px;
	font-size: 0.833rem;
	font-weight: 600;
	pointer-events: all;
	color: var(--green);
	font-family: "Roboto", sans-serif;
}

/* News */
.post-box {
	border-radius: 0.25rem;
	overflow: hidden;
	background-color: white;
	margin-bottom: 3rem;
}

.post-box:last-of-type {
	/*margin-bottom: 1rem;*/
}

.post-box img {
	width: 100%;
	height: 200px;
	object-fit: cover;
}

.box-content {
	padding: 1.5rem;
}

.read-more {
	margin-top: 2rem;
	display: inline-block;
	text-transform: uppercase;
	font-family: "Roboto", sans-serif;
	color: var(--green);
	font-size: 0.833rem;
	letter-spacing: 1px;
}

.read-more:hover {
	font-weight: 600;
}

/* Tag */
.box-content .tag a {
	text-transform: uppercase;
	background-color: var(--gold);
	color: var(--green);
	padding: 0.5rem 1rem;
	display: inline-block;
	font-size: 0.833rem;
	font-family: "Roboto", sans-serif;
	letter-spacing: 1px;
	font-weight: 600;
}

.sub-titular a {
	color: rgba(0, 0, 0, 0.87);
}

/* Single Posts */

/* Tags Above Headline */
.entry-meta .entry-categories a {
	color: var(--green);
	text-transform: uppercase;
	letter-spacing: 1px;
	font-family: "Roboto", sans-serif;
	font-size: 0.833rem;
}

.entry-time {
	font-size: 0.833rem;
	color: rgba(0, 0, 0, 0.38);
}

.featured-blog-post-image {
	margin-top: 1rem;
	position: relative;
	width: 100vw;
	left: 50%;
	margin-left: -50vw;
	margin-bottom: 1.5rem;
}

.entry-content p {
	line-height: 1.5rem;
	margin-bottom: 1rem;
}

/* Buttons */
.btn {
	display: inline-block;
	background-color: var(--green);
	color: rgba(255, 255, 255, 0.87);
	padding: 0.75rem 1.75rem;
	border-radius: 0.25rem;
	text-transform: uppercase;
	font-size: 0.9375rem;
	letter-spacing: 1px;
	font-weight: 600;
	font-family: "Roboto", sans-serif;
}

.nav-links .page-numbers {
	padding: 0.5rem 0.75rem;
	border-radius: 0.25rem;
	background-color: var(--gold);
	font-family: "Roboto", sans-serif;
	color: var(--black);
}

.nav-links .page-numbers.current {
	background-color: var(--green);
	color: white
}

/* Ads */
.top-widget-ads {
	margin-bottom: 1rem;
}

/* Site Footer */
.site-footer .top {
	padding-top: 3.5rem;
	padding-bottom: 3.5rem;
	text-align: center;
}

/* img: ÁgoraMX */
.site-footer .logo {
	margin-bottom: 1rem;
}

/* Logo & Social Media */
.site-footer .top .wrap > div:first-child {
	margin-bottom: 2.5rem;
}

/* Headline */
.footer-header {
	text-transform: uppercase;
	letter-spacing: 1px;
	font-weight: 600;
	margin-bottom: 0.5rem;
}

/* span */
.btn-footer {
	background-color: var(--gold);
	padding: 1rem;
	display: inline-block;
	min-width: 160px;
	text-transform: uppercase;
	font-size: 0.9375rem;
	border-radius: 0.25rem;
	font-weight: 600;
	color: rgba(0, 0, 0, 0.87);
	letter-spacing: 1px;
	margin-bottom: 1rem;
}

.site-footer .menu a:last-child span.btn-footer {
	margin-bottom: 0;
}

/* Copyright */
.site-footer .bottom {
	padding-top: 1rem;
	padding-bottom: 1rem;
}

.site-footer .bottom a {
	color: rgba(255, 255, 255, 0.38);
}

/* Flex */
.flex-m { display: flex; }
.col-6-m { width: 50%; }

/* Framework */
.text-center { text-align: center; }
.text-right { text-align: right; }
.small { font-size: 0.833rem; }

.white { color: white; }
.white-87 { color: rgba(255, 255, 255, 0.87); }
.white-60 { color: rgba(255, 255, 255, 0.6); }
.white-38 { color: rgba(255, 255, 255, 0.38); }

/* Custom */

/* Remove Navigation on Footer on Contacto Page */
.page-id-22 .site-footer .site-footer-navigation-container,
.page-id-49 .site-footer .site-footer-navigation-container {
	display: none;
}

.page-id-22 .site-footer .top .wrap > div:first-child,
.page-id-49 .site-footer .top .wrap > div:first-child {
	margin: 0;
}

/* Tablet */
@media only screen and (min-width:768px){
	@media only screen and (min-width:768px){

		/* Structure */
		.bar-top .wrap,
		.site-header > .wrap,
		.site-inner > .wrap,
		.content-sidebar-wrap,
		.site-footer .wrap {
			padding: 0; /* Reset */
			margin: 0 auto; /* Center */
			max-width: 720px;
		}

		.site-inner {
			padding-top: 3rem;
		}
	}
}

/* Desktop */
@media only screen and (min-width: 960px) {

	/* Structure */
	.bar-top .wrap,
	.site-header > .wrap,
	.site-inner > .wrap,
	.site-footer .wrap {
		max-width: 960px;
		padding-left: 10px;
		padding-right: 10px;
	}

	.content-sidebar-wrap {
		max-width: 720px;
	}

	/* Menu Responsive */
	.header-widget-area {
		display: none; /* Remove Hamburguer */
	}

	/* Show Meu */
	.nav-primary {
		display: block;
		margin-top: 2rem;
		font-weight: 600;
	}

	/* Alinear Items */
	.nav-primary ul li {
		display: inline-block;
	}

	/* Reset Links */
	.nav-primary ul a {
		padding: 0;
	}

	.nav-primary ul li {
		padding: 0 0.75rem;
	}

	.nav-primary ul li:first-child {
		padding-left: 0;
	}

	.nav-primary ul li:last-child {
		padding-right: 0;
	}

	/* Site Inner */
	.site-inner {
		padding-top: 2rem;
	}

	/* Home */
	/* Featured Post */
	.featured-post {
		height: 23rem;
		margin-bottom: 2rem;
	}

	.featured-post img {
		height: 100%;
		width: 100%;
		object-fit: cover;
		object-position: center;
	}

	/* Grid */
	.grid-container-desktop {
		display: grid;
		grid-template-columns: auto auto;
		column-gap: 20px;
	}

	/* Single */
	.featured-blog-post-image {
		position: static;
		width: 100%; /* Reset 100vw */
		margin-left: 0; /* Reset: -50vw */
		height: 400px;
	}

	.featured-blog-post-image img {
		object-fit: cover;
		height: 100%; /* Adjust Width Container */
		width: 100%;
	}

	/* Flex */
	.flex-d {
		display: flex;
	}

	.col-6-d {
		width: 50%;
	}

	/* Site Footer */
	.site-footer .top {
		text-align: left;
	}

	/* Reset Logo */
	.site-footer .top .wrap > div:first-child {
		margin: 0;
	}
}